Subject: Ticket Assigned - Delivery issue
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 26 Feb 2021 09:35:17 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery issue 
To whom it may concern,

Good day. Hope you all doing great.

I ordered from Centrepoiny last January 29, 2021 with order number 9631775201 with AWB FP013021000092 paid with Tabby. It was shipped last January 30 and I already settled the payment from Tabby as it would help the delivery faster but it won't. I received an sms that I should received the items on February 1. I called many times and contact customer service but same answer they are providing me, " we escalated already the issue and we will contact the concerned team and we will contact you for updates" I 've been waiting too long fro the items and no one ever called me or tried to reach out on me. It's already February 18 and still I didn't receive my items. I am so frustrated how centrepoint's customer service works. If they will not deliver just refund the money I paid. 

Thank you. 
Sent from Yahoo Mail for iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2121289